ESCLARECIMENTO SOBRE MUDANÇAS COM ESTÁVEL Deepin 15,10 (editado)

NOTA EXPLICATIVA: Este artigo foi modificado de sua versão original devido a mudanças atualizando para Deepin 15.10.1.

Deepines 3.0 foi atualizado para a versão 3.1 devido a mudanças no Deepin 15.10.1, Se você já tem 2.0 instalado não precisa remover, para atualizar para a versão mais recente do Deepines 3.1, basta digitar o seguinte comando no terminal:

update && sudo sudo apt apt full-atualização

Atualizado 18 de maio de 2019 13:15 UTC: Nas palavras do nosso querido colaborador Hugo Florentino:

"Os chineses, em sua sabedoria antiga infinita, decidiu que era uma boa idéia para o nome como" estável "versão também Deepin baseado no Debian instável, e, incidentalmente, colocar o mesmo número de versão."

Nós relataram que a atualização para o Deepin 15.10.1 sem qualquer instalação de raiz com a versão ISO 15.10, correndo o parâmetro de comando lsb_release -a obtidos em Codename: estável. Estamos analisando os dados, atualmente antecipar que o gerenciador de janelas eo kernel não mudaram, por isso tem havido uma mudança baseada em estável instável real neste momento. Estamos também a trabalhar no instalador Deepines repositório 3.0 para evitar problemas com base instável. Se você não tiver instalado a partir do zero com a norma ISO Deepin 15,10 ou 15.10.1, nós não recomendamos a instalação Deepines 3.0 para impedir o seu sistema de quebrar. Adicional desculpe isso está causando confusão e nas próximas horas será a actualização da informação.

Atualizado 18 de maio de 2019 21:01 UTC: E analisamos em detalhe as alterações feitas instável Deepin ao atualizar a partir 15.10 a 15.10.1. Podemos garantir que a base permanece Debian SID 9 (instável), o kernel não foi atualizado e continua com a versão 4.15.0-29deepin-genérico não alterou o gerenciador de janelas, permanece Mutter (DeepinGala), embora a saída de -a lsb_release o relatório como "estável".



Artigo original

Construir um sistema de computador que tem muitas semelhanças com a construção de edifícios. São construídos em seções ou módulos, você pode abrir espaço para construir mais no futuro e, acima de tudo, você deve fazer alterações e melhorias ao longo do tempo, como uma espécie de remodelação.

No caso de sistemas operacionais GNU / Linux, quando um novo recurso é construído ou fazer alterações, você precisa tentar e garantir que eles funcionam perfeitamente. Esses testes levam tempo. Em seguida, os desenvolvedores (construtores) têm versões do sistema bem comprovado, mas mais velhos e versões mais recentes, mas ainda estão no processo de teste e continuar a encontrar problemas que são fixos na mosca.

As versões antigas bem testado e bem funcionamento são chamados estáveis ​​e passam por pequenas versões de mudança que funcionam muito bem. As versões mais recentes, que ainda estão sendo testados e ainda está sendo trabalhado são chamados de versões instáveis, porque eles estão passando por mudanças frequentes.

Deepin é baseada em outra distribuição, Debian, que tem um estável e instável outra versão. Anterior a Deepin 15,10 Deepin foi baseada em Debian instável, mas isso trouxe desvantagens resultantes de constantes mudanças e falhas ainda não detectados.

Deepin De 15.10 em diante, Deepin é baseado no Debian estável, o que torna o sistema tem muito menos falhas, trabalhar e se comportar de forma mais uniforme ao longo do tempo e não ser constantemente mudando.

Com uma base instável, os desenvolvedores Deepin deve ser revisto muitas vezes as novas mudanças e adaptar o sistema às mudanças na base, isso é muito cansativo e consome muitos recursos e horas de trabalho.

Com uma base estável, os desenvolvedores devem rever menos vezes muda a base, o que lhes dá tempo para desenvolver o sistema com mais calma e de maior qualidade.

Deepin instável estável beta estável Deepin e Deepin

Houve uma considerável confusão quando se começou a falar em uma versão beta estável Deepin, mas, em seguida, esclarecer.

Debian instável Deepin +=Deepin instável
estável Deepin + Debian=estável Deepin

Explicamos as desvantagens de usar uma base instável e é por isso que os desenvolvedores começaram a migrar uma base instável para estável, eles fizeram um processo paralelo pode ser melhor compreendido com o seguinte cronograma.

Linea de tiempo de Deepin estable

Deepin no início usado como uma base Ubuntu, mas que não inclui o cronograma para ser "velho" história. Em seguida, ele passou a usar como uma base instável do Debian era a versão que todos nós sabíamos e usado nos últimos anos, temos usado instável Deepin, mas desde que não havia nenhuma outra versão, não havia necessidade de diferenciar ou declarar qualquer outra coisa, por isso foi chamado Deepin para secar.

Quando a versão 15.9.2 foi lançado, os desenvolvedores tomaram o ambiente Deepin e montadas em Debian estável, dando assim origem a uma nova versão, estável Deepin, então era necessário declarar Deepin estável e instável para diferenciar Deepin.

Não foi uma pequena mudança, ao contrário, operam em Deepin no Debian estáveis ​​necessárias muitas mudanças e ajustes, que não haviam sido testados, então a nova versão com base estável deve também ser declarado como versão beta, para que eles chamado Deepin estável 15.9.2 Beta, porque eu não estava pronto para o público em geral para usá-lo.

Continua desenvolvimento paralelo de Deepin instável e estável, durante o desenvolvimento de versão 15.9.3 e 15.10 da versão instável, preparações continuou a registar estável Deepin 15,10.

No momento da publicação Deepin 15,10, o seu ambiente foi capaz de funcionar tanto a base estável e instável, mas as bases são diferentes o suficiente para não permitir a mudança de base instável estável por meio de um processo de renovação, por isso é necessário fazer uma instalação limpa para mover a partir da instável para a base estável. Considerando usuários, Deepin da China vai continuar a fornecer atualizações até julho de 2019, dando chance programar e fazer reinstatements calmamente.

Vou passar imediatamente para o estábulo Deepin ou esperança?

15.10 Deepin ainda estável é um território que não é totalmente explorado, o primeiro a instalar estável Deepin 15,10 será uma espécie de pioneiro, e pioneiros sempre encontrar problemas inesperados será resolvido. Na nova versão, há coisas para polonês, muitas versões do software são mais velhos do que na instável, por isso algumas aplicações instaladas a partir de fontes externas podem ser inconveniente para instalar.

O que vem instalado na distribuição e que pode ser instalado no trabalho loja perfeitamente, a maioria dos problemas encontrados são detalhes de personalização ou instalar aplicativos que não são parte da distribuição, isto é, que são descarregadas manualmente ou precisam repositórios adicional.

Como para aplicações Flatpak e função, como de costume tirar.

Em suma, se você pretende instalar, cada trabalho de detalhe limpo exatamente como eles fizeram até agora e não consegue resolver praticamente qualquer coisa melhor esperar algumas semanas para que outros já elaboraram os detalhes, mas se você tiver coragem e tempo para ser pioneiro, não há problema, que assim seja.

Mais uma vez lembramos que tem até julho 2019 para fazer uma instalação limpa com ISO 15.10 Deepin estável.

Como identificar se você tem base estável ou instável?

Nós publicamos um novo artigo que mostra como identificar a versão exata do sistema que você está usando uma ferramenta criada pelo nosso amigo Hugo FlorentinoVocê pode ler o referido artigo você aqui.

Deepines repositório

O repositório Deepines também tinha a adaptar-se à nova base estável, como um resultado foi apresentado Deepines 3.0, esta versão suporta apenas estável Deepin 15,10 e superior.

Você pode encontrar instruções para a instalação Deepines 3.0 no link a seguir - deepinenespañol.org / presentes-nossos-repositório deepines-3-0.

Infelizmente Deepines repositório instável para Deepin pára de funcionar, ele mantém isso porque consomem os recursos limitados de tempo e esforço dos voluntários que mantêm-lo, e decidiu se concentrar esses recursos para o novo repositório. Isso significa que você não pode instalar aplicativos Deepines Deepin instável, mas o que você instalou continuará funcionando sem problemas.

Se alguém tentar instalar Deepines 3.0 instável Deepin ou qualquer outra distribuição diferente Deepin estável, a instalação falhará. O instalador detecta se Deepin 15,10 é estável ou superior, se não, exibe uma mensagem de erro e não é instalado. Este é, por razões de segurança, para impedir danos ao sistema (para quebrar o sistema). Aqui estão todas as mensagens de erro para os métodos de instalação mais comuns.

Gerenciador de Pacotes de instalação Deepin

mensagem de erro ao instalar Deepines 3.0 Deepin instável Deepin com Package Manager


mensagem de erro Detalhe ao instalar Deepines 3.0 Deepin instável Deepin com Package Manager


instalação GDebi


mensagem de erro ao instalar Deepines 3.0 Deepin com GDebi instável.



Erro ao instalar o detalhe Deepines 3.0 Deepin com GDebi instável.


comando de instalação DPKG


mensagem de erro ao instalar Deepines 3.0 Deepin instáveis ​​com dpkg comando -i



Detalhes do erro ao instalar Deepines instáveis ​​3.0 Deepin com dpkg comando -i



Se você tiver instável Deepin recomendamos a desinstalação Deepines 2.0 para evitar transtornos. Siga estes passos:

Executar em um terminal o comando seguinte.

sudo apt purge deepines-repository

Se sua senha for solicitada, digite e pressione a tecla ENTER. É normal se a senha não é apresentada qualquer coisa.

Quando você for solicitado para continuar a pressionar a tecla ENTER.

procedimento opcional

Um procedimento opcional para assegurar remover todos os vestígios de Deepines 2.0 após uma desinstalação normal é a seguinte:

1- Baixe o seguinte escrita e salve-o no ambiente de trabalho.

Icon

Desinstalar de 2,0 Deepines

Informações de transferência ...

0,48 KB 25 downloads

2- Verifique se o arquivo eliminar-deepines-2.0.sh é Desktop.

3- Minimizar todas as janelas para ver o desktop.

4- Botão direito do mouse em um espaço vazio na área de trabalho e, em seguida, clique na opção para abrir o terminal.

5- Execute o comando

sudo sh eliminar-deepines-2.0.sh

Esperamos que este artigo ajuda a comunidade a ser claro sobre o novo cenário após a publicação de 15.10 Deepin estável, porque é necessário para instalar a partir do zero e Deppines alterações no repositório.

NOTA EXPLICATIVA: Estamos investigando novos relatórios que, aparentemente, alterar qualquer uma das informações contidas neste artigo, consulte mais tarde para esclarecimentos e ajustes para a publicação. OLHE POR FAVOR BUTT deste artigo para obter as últimas informações se torna disponível.

*Agradecimentos especiais a Hugo Florentino, Jose Fenoll e Opik O por sua ajuda na revisão e correção deste artigo.

19
O que você acha?

Por favor entrar para comentar
11 tópicos de comentários
8 fio de respostas
0 Seguidores
 
Comentar com mais reações
fio de Altamente Recomendável
12 Autores comentários
XOdeinorfeoMartinV56Luis Vicente Castillo CorbellaNicolas Smiriglia Os autores dos comentários mais recentes
subscrever
MAIS NOVO mais velho mais popular
relatório do
Roddivi
Membro

Que tal!!. Para mim, eu uso o sistema muito básico. Meu PC em vez de idade e outros distritos têm dificuldade 3s meus drivers.

No entanto, com Deepin tudo vai perfeitamente, basta instalar a atualização de ontem e eu não perca nada, pelo menos para automação de escritório e usuários de desktop não representam um problema.

Eli
editor

excelente artigo Isaías Gätjens MIs Gatjens M, Bem explicado e informativo para todos, obrigado.

Oscar Interliggi
Membro

Eu instalei no meu Vaio ajuste 15S, e funciona muito bem.

Jare GM
Membro

Use sistemas baseados em GNU / Linux desde 2002 e, desde 2016, entre outras distribuições, eu uso Deepin baseado em Debian.
Para mim é bom decisão notícias para construir sobre o ramo estável do Debian. Neste momento a versão estável é de 9,9 (estiramento), mas com Debian 10,0 (Buster) em fase de testes.
Eu me pergunto se seria mais conveniente que a partir deste momento Deepin tomado como uma versão base 10 (Buster) Debian, mesmo que ele está em fase de testes.

Aridany Ypunto
Membro

Bem, eu estava entre aqueles que tiveram problemas com Deepin e eu estava prestes a jogar a toalha e a verdade é que eu não tenho tido o mesmo problema com 15.10 dedos cruzados para que sempre terminou em reinstalação tudo o que eu fiz para recuperar o sistema. Eu noto que mais sólida. Até agora, o único inconveniente que eu encontrei é que eu não posso continuar meu curso de Inglês de cromo porque eu não reconhecer o microfone. E não, não é porque as opções permitem, permitido, é que chorme não vê a micro ou melhor, não ouvir lol. Peleándome eu vou ver.

José Luis Berg
Membro

Oi, eu reinstalar o ontem eo único problema foi I foi apresentado com o VirtualBox e suas extensões desde que eu não me deixe instalá-lo a partir da aplicação, mas pode ser instalado em outros aspectos ainda não encontrou problemas. Minha máquina é uma série t Lenovo.
Saudações.

Nicolas Smiriglia
Membro

Uma pergunta. Quando deve eventualmente ser necessários 10 Deepin atualizar todo o sistema novamente a partir do zero?

Eli
editor

Olá Nicolas SmirigliaNicolas Smiriglia Se você quer dizer se é necessário mais uma vez re-instalar o sistema do zero devido a uma mudança radical de base, como aconteceu neste caso, a resposta que eu diria é: Não, se eu acredito que você descrever será uma evolução da base ao invés de uma mudança para um completamente diferente, como aconteceu desta vez. Espero que responde a sua pergunta.

Nicolas Smiriglia
Membro

Obrigado por fazer este artigo tão claro e responder às perguntas que tão rapidamente

Luis Vicente Castillo Corbella
Membro

Enxugou alterando o gerenciador de janelas e fazer a mudança completa não pode ser redimensionar janelas, definir a sua localização na tela, se você mudar kwin deve fazer bem colocando o controle completo não redimencionan o mouse que é básico.

 

MartinV56
Membro

Dee virou-se para os meus distros favoritas, Arch Linux ou Debian 9 ciao Deepin, no entanto eu aprecio e agradeço Deepin suas valiosas contribuições em espanhol, muito obrigado.

orfeo
Membro

Olá. Eu instalei a .iso Deepin 15.10.1 sobre a versão anterior e até agora tudo tem corrido bem ... Agora eu tenho uma base estável.
Obrigado por todas as informações.

XOdein
Membro

Não, você não, você precisa atualizar a partir de zero a ter estável embora Deepin diz que tem estável, é um bug. Não pare seu Deepin receber atualizações em poucos meses.

orfeo
Membro

O que você chama de atualização a partir do zero? Eu instalei a partir do zero recém-baixado versão 15.10.1, na mesma partição onde anteriormente tinha a versão 15.09
Não é que uma atualização a partir do zero?

Luis Vicente Castillo Corbella
Membro

Mas isso Logico 0 no. Porque o instalador exclui a partição antes de instalar ou é 0 absoluto.